## python-enocean 0.60.1

=== requirements.txt ===
enum-compat>=0.0.2
pyserial>=3.0
beautifulsoup4>=4.3.2

=== debian/changelog ===
python-enocean (0.60.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sat, 12 Oct 2024 14:32:42 +0100

python-enocean (0.60.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1084890)

 -- Edward Betts <edward@4angle.com>  Thu, 10 Oct 2024 13:36:01 +0100

=== debian/control ===
Source: python-enocean
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/kipe/enocean
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-enocean
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-enocean.git

Package: python3-enocean
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with EnOcean wireless modules
 This library provides a mechanism to read data from and send commands to
 EnOcean wireless modules, facilitating the integration of various types of
 sensors and switches. EnOcean technology allows for energy harvesting devices
 that can communicate over the air without the need for batteries. This library
 is capable of handling messages from a wide range of EnOcean devices, such as
 temperature sensors, humidity sensors, dimmers, and window handles. By using
 the library, users can connect to devices like the USB 300 controller and
 manage EnOcean device communication.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=enocean
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/enocean_example.py
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf enocean.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-enocean-$1\.tar\.gz/ \
  https://github.com/kipe/enocean/tags .*/v?(\d\S+)\.tar\.gz
